package com.serbia.webadmin.app.dao;

import com.serbia.common.core.base.dao.BaseDaoMapper;
import com.serbia.webadmin.app.model.SerbiaCountryCode;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 国家区域编码管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
public interface SerbiaCountryCodeMapper extends BaseDaoMapper<SerbiaCountryCode> {

    /**
     * 批量插入对象列表。
     *
     * @param serbiaCountryCodeList 新增对象列表。
     */
    void insertList(List<SerbiaCountryCode> serbiaCountryCodeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param serbiaCountryCodeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<SerbiaCountryCode> getSerbiaCountryCodeList(
            @Param("serbiaCountryCodeFilter") SerbiaCountryCode serbiaCountryCodeFilter, @Param("orderBy") String orderBy);
}
