package com.serbia.webadmin.app.dao;

import com.serbia.common.core.base.dao.BaseDaoMapper;
import com.serbia.webadmin.app.model.SerbiaGroupMembers;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天群组成员管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
public interface SerbiaGroupMembersMapper extends BaseDaoMapper<SerbiaGroupMembers> {

    /**
     * 批量插入对象列表。
     *
     * @param serbiaGroupMembersList 新增对象列表。
     */
    void insertList(List<SerbiaGroupMembers> serbiaGroupMembersList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param serbiaGroupMembersFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<SerbiaGroupMembers> getSerbiaGroupMembersList(
            @Param("serbiaGroupMembersFilter") SerbiaGroupMembers serbiaGroupMembersFilter, @Param("orderBy") String orderBy);
}
