package com.serbia.webadmin.app.dao;

import com.serbia.common.core.base.dao.BaseDaoMapper;
import com.serbia.webadmin.app.model.SerbiaGroups;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天群组管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
public interface SerbiaGroupsMapper extends BaseDaoMapper<SerbiaGroups> {

    /**
     * 批量插入对象列表。
     *
     * @param serbiaGroupsList 新增对象列表。
     */
    void insertList(List<SerbiaGroups> serbiaGroupsList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param serbiaGroupsFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<SerbiaGroups> getSerbiaGroupsList(
            @Param("serbiaGroupsFilter") SerbiaGroups serbiaGroupsFilter, @Param("orderBy") String orderBy);
}
