package com.serbia.webadmin.app.dao;

import com.serbia.common.core.base.dao.BaseDaoMapper;
import com.serbia.webadmin.app.model.SerbiaMessages;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天信息管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
public interface SerbiaMessagesMapper extends BaseDaoMapper<SerbiaMessages> {

    /**
     * 批量插入对象列表。
     *
     * @param serbiaMessagesList 新增对象列表。
     */
    void insertList(List<SerbiaMessages> serbiaMessagesList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param serbiaMessagesFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<SerbiaMessages> getSerbiaMessagesList(
            @Param("serbiaMessagesFilter") SerbiaMessages serbiaMessagesFilter, @Param("orderBy") String orderBy);
}
