package com.serbia.webadmin.app.dao;

import com.serbia.common.core.base.dao.BaseDaoMapper;
import com.serbia.webadmin.app.model.SerbiaUsers;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 塞尔用户管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
public interface SerbiaUsersMapper extends BaseDaoMapper<SerbiaUsers> {

    /**
     * 批量插入对象列表。
     *
     * @param serbiaUsersList 新增对象列表。
     */
    void insertList(List<SerbiaUsers> serbiaUsersList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param serbiaUsersFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<SerbiaUsers> getSerbiaUsersList(
            @Param("serbiaUsersFilter") SerbiaUsers serbiaUsersFilter, @Param("orderBy") String orderBy);
}
