package com.serbia.webadmin.app.dto;

import com.serbia.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 聊天群组成员管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
@Schema(description = "聊天群组成员管理Dto对象")
@Data
public class SerbiaGroupMembersDto {

    /**
     * 主键id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "主键id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 群聊id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "群聊id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，群聊id不能为空！")
    private Long groupId;

    /**
     * 用户id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "用户id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，用户id不能为空！")
    private Long userId;

    /**
     * 成员角色 1群主 2群成员。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "成员角色 1群主 2群成员。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，成员角色 1群主 2群成员不能为空！")
    private Integer groupRole;
}
