package com.serbia.webadmin.app.model;

import com.baomidou.mybatisplus.annotation.*;
import com.serbia.common.core.annotation.*;
import com.serbia.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 聊天群组成员管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "serbia_group_members")
public class SerbiaGroupMembers extends BaseModel {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 群聊id。
     */
    @TableField(value = "group_id")
    private Long groupId;

    /**
     * 用户id。
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 成员角色 1群主 2群成员。
     */
    @TableField(value = "group_role")
    private Integer groupRole;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    @RelationGlobalDict(
            masterIdField = "groupRole",
            dictCode = "GroupMemberRole")
    @TableField(exist = false)
    private Map<String, Object> groupRoleDictMap;
}
