package com.serbia.webadmin.app.vo;

import com.serbia.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 聊天群组成员管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
@Schema(description = "聊天群组成员管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class SerbiaGroupMembersVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 群聊id。
     */
    @Schema(description = "群聊id")
    private Long groupId;

    /**
     * 用户id。
     */
    @Schema(description = "用户id")
    private Long userId;

    /**
     * 成员角色 1群主 2群成员。
     */
    @Schema(description = "成员角色 1群主 2群成员")
    private Integer groupRole;

    /**
     * groupRole 全局字典关联数据。
     */
    @Schema(description = "groupRole 全局字典关联数据")
    private Map<String, Object> groupRoleDictMap;
}
