package com.serbia.webadmin.app.vo;

import com.serbia.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 聊天群组管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
@Schema(description = "聊天群组管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class SerbiaGroupsVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long groupId;

    /**
     * 群主id。
     */
    @Schema(description = "群主id")
    private Long groupOwnerId;

    /**
     * 群聊名称。
     */
    @Schema(description = "群聊名称")
    private String groupName;

    /**
     * 群聊头像。
     */
    @Schema(description = "群聊头像")
    private String groupAvatar;

    /**
     * 是否公开 0私密 1公开。
     */
    @Schema(description = "是否私密 0公开 1私密")
    private Integer isPrivate;

    /**
     * isPrivate 全局字典关联数据。
     */
    @Schema(description = "isPrivate 全局字典关联数据")
    private Map<String, Object> isPrivateDictMap;
}
