package com.serbia.webadmin.app.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * 聊天信息管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-12-10
 */
@Schema(description = "聊天信息管理VO视图对象")
@Data
public class SerbiaMessagesVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long messageId;

    /**
     * 发送人id。
     */
    @Schema(description = "发送人id")
    private Long senderId;

    /**
     * 接收者id。
     */
    @Schema(description = "接收者id")
    private Long receiverId;

    /**
     * 群组id。
     */
    @Schema(description = "群组id")
    private Long groupId;

    /**
     * 消息类型 1文字 2图片 3文件。
     */
    @Schema(description = "消息类型 1文字 2图片 3文件")
    private Integer messsageType;

    /**
     * 消息内容。
     */
    @Schema(description = "消息内容")
    private String messageContent;

    /**
     * 创建时间。
     */
    @Schema(description = "创建时间")
    private Date createTime;

    /**
     * 更新用户。
     */
    @Schema(description = "更新用户")
    private Long updateUserId;

    /**
     * 更新时间。
     */
    @Schema(description = "更新时间")
    private Date updateTime;

    /**
     * 消息已读状态 0未读 1已读。
     */
    @Schema(description = "消息已读状态 0未读 1已读")
    private Integer readStatus;

    /**
     * messsageType 全局字典关联数据。
     */
    @Schema(description = "messsageType 全局字典关联数据")
    private Map<String, Object> messsageTypeDictMap;

    /**
     * readStatus 全局字典关联数据。
     */
    @Schema(description = "readStatus 全局字典关联数据")
    private Map<String, Object> readStatusDictMap;
}
