package com.serbia.webadmin.config;

import com.serbia.webadmin.websocket.handler.SingleWebSocketHandler;
import com.serbia.webadmin.websocket.interceptor.SingleInterceptor;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
@EnableWebSocket
public class WebSocketAutoConfig implements WebSocketConfigurer, ApplicationContextAware {

    private static ApplicationContext applicationContext;
    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
      if (WebSocketAutoConfig.applicationContext == null){
        WebSocketAutoConfig.applicationContext = applicationContext;
      }
    }

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
      registry.addHandler(new SingleWebSocketHandler(applicationContext), "/single")
              .addInterceptors(new SingleInterceptor())
              .setAllowedOrigins("*");
    }
}
