package com.serbia.webadmin.websocket.interceptor;

import jodd.util.StringUtil;
import org.springframework.http.server.ServerHttpRequest;
import org.springframework.http.server.ServerHttpResponse;
import org.springframework.http.server.ServletServerHttpRequest;
import org.springframework.util.StringUtils;
import org.springframework.web.socket.WebSocketHandler;
import org.springframework.web.socket.server.HandshakeInterceptor;

import java.util.Map;

public class SingleInterceptor implements HandshakeInterceptor {
    @Override
    public boolean beforeHandshake(ServerHttpRequest request, ServerHttpResponse response, WebSocketHandler wsHandler, Map<String, Object> attributes) throws Exception {
        if (request instanceof ServletServerHttpRequest){
            //转换成常用request
            ServletServerHttpRequest serverHttpRequest = (ServletServerHttpRequest) request;
            //从websocket 中获取代表用户身份参数
            String id = serverHttpRequest.getServletRequest().getParameter("id");
            //有值说明是用户
            if (StringUtils.hasText("id")){
                //放入到map传递到handler进行处理
                attributes.put("id",id);
                //放行
                return true;
            }else {
                //否则不放行
                return false;
            }
        }
        return false;
    }

    @Override
    public void afterHandshake(ServerHttpRequest request, ServerHttpResponse response, WebSocketHandler wsHandler, Exception exception) {

    }
}
